Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Scheduling

List Calendars

GET
/v1/calendars

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
calendarResource?string
calendarResource[in]?string
provider?string
provider[in]?string
is_default?boolean
scheduling_enabled?boolean
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/calendars"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "name": "string",      "external_id": "string",      "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",      "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d",      "type": "provider",      "is_default": true,      "scheduling_enabled": true,      "yes_status_id": "b6b6528e-788f-4a4d-a6c8-64c1c612ade2",      "no_status_id": "477cd436-3b4e-4818-a9d2-2216ccb162b5",      "maybe_status_id": "e92edbf2-e54f-452d-a748-1b96f0474ede",      "noreply_status_id": "40575e6a-32c0-4359-ba17-1fcf9f26f963",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "calendar_resource": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "name": "string",        "is_default": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "name": "string",        "type": "twilio-regulatory-bundle",        "status": "draft",        "external_id": "string",        "config": {          "property1": null,          "property2": null        },        "authorised_channel_types": [          "email"        ],        "authorised_review_channel_types": [          "google-my-business"        ],        "rejection_reason": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deleted_at": "2019-08-24T14:15:22Z",        "created_by": "string",        "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",        "created_by_employee_id": "d9fa9aff-398c-4184-a53d-7cf01a7f9977",        "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",        "updated_by": "string",        "updated_by_api_token_id": "e3b0e0f8-7b50-441e-9788-374a303c5789",        "updated_by_employee_id": "11909ba2-c75a-4625-b035-6d663130e1c7",        "updated_by_rule_id": "7032327f-7c79-4519-91ea-4b88323cfd2e"      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}